package com.test.bijihoudaun.service;

import com.test.bijihoudaun.entity.Grouping;

import java.util.List;

public interface GroupingService {
    /**
     * 创建分组
     * @param grouping
     * @return
     */
    Grouping createGrouping(Grouping grouping);

    /**
     * 获取所有分组
     * @param parentId
     * @return
     */
    List<Grouping> getAllGroupings(Long parentId);
    /**
     * 更新分组名称
     * @param grouping
     * @return
     */
    Grouping updateGrouping(Grouping grouping);
    /**
     * 删除分组
     * @param id
     */
    void deleteGrouping(Long id);

    /**
     * 批量保存或更新
     * @param groupings
     */
    void saveOrUpdateBatch(List<Grouping> groupings);
}
